package icspacketer

import (
	"gitlab.com/cinnamon/voiceagent/icserror"
)

//SIP/RTP parser interface
type Packeter interface {
	GetPacketData(packet interface{}) *icserror.IcsError
	//GetPacketData(addr []*icsnet.IcsNetAddr, packet []byte) *icserror.IcsError
}

func PutPacket(packet interface{}, pt Packeter) *icserror.IcsError {
	return pt.GetPacketData(packet)
}
